#!/bin/sh
set -e

on_exit () {
	[ $? -eq 0 ] && exit
	echo 'ERROR: Feature "tfsec" (ghcr.io/dhoeric/features/tfsec) failed to install! Look at the documentation at ${documentation} for help troubleshooting this error.'
}

trap on_exit EXIT

set -a
. ../devcontainer-features.builtin.env
. ./devcontainer-features.env
set +a

echo ===========================================================================

echo 'Feature       : tfsec'
echo 'Description   : Install [tfsec](https://aquasecurity.github.io/tfsec/)'
echo 'Id            : ghcr.io/dhoeric/features/tfsec'
echo 'Version       : 1.0.0'
echo 'Documentation : https://github.com/dhoeric/features/tree/main/src/tfsec'
echo 'Options       :'
echo '    VERSION="latest"'
echo 'Environment   :'
printenv
echo ===========================================================================

chmod +x ./install.sh
./install.sh
